Bug 13704 - Samba dumps core on SIGBUS in notifyd.c:452
Samba dumps core on SIGBUS in notifyd.c:452
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
Sparc All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-06 00:10 UTC by Jura Sasek
Modified: 2019-03-06 08:46 UTC (History)
1 user (show)

See Also:


Attachments
avoid of SIGBUS on notifyd.c:452 (1.28 KB, patch)
2018-12-06 00:10 UTC, Jura Sasek
no flags Details
Patch with git-decoration (2.22 KB, patch)
2018-12-06 13:25 UTC, Volker Lendecke
bjacke: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jura Sasek 2018-12-06 00:10:26 UTC
Created attachment 14718 [details]
avoid of SIGBUS on notifyd.c:452

Problem is the structure "struct notify_instance" can lay in message buffer on address not dividable by 8 but this structure begins by uint_64 (secs in time-stamp). Structure should be re-packed to standalone buffer before the use.

Please apply patch.
Comment 1 Volker Lendecke 2018-12-06 13:25:21 UTC
Created attachment 14723 [details]
Patch with git-decoration
Comment 2 Björn Jacke 2019-02-22 11:42:14 UTC
fixed in master with b33fad772682e87ecc2b46b1b54625caeccc9eb2 and should also be cherry-picked to the supported release branches.
Comment 3 Karolin Seeger 2019-03-04 09:47:53 UTC
Pushed to autobuild-v4-{10,9,8}-test.
Comment 4 Karolin Seeger 2019-03-06 08:46:29 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to all branches.
Closing out bug report.

Thanks!